Bug 1574893 - aspell should not be installed by default on Fedora Workstation, hunspell is preferred
Summary: aspell should not be installed by default on Fedora Workstation, hunspell is ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: enchant2
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Sandro Mani
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-04 09:50 UTC by Sébastien Wilmet
Modified: 2018-06-23 20:46 UTC (History)
2 users (show)

Fixed In Version: enchant2-2.2.3-4.fc27 enchant2-2.2.3-4.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-23 19:56:05 UTC
Type: Bug


Attachments (Terms of Use)

Description Sébastien Wilmet 2018-05-04 09:50:54 UTC
Description of problem:
On Fedora Workstation 28, both hunspell and aspell are installed by default. aspell is pulled in by enchant2. But I think aspell should not be installed by default, only the hunspell backend should be.

See this old Fedora project to have only the hunspell backend:
https://fedoraproject.org/wiki/Releases/FeatureDictionary

aspell should be considered deprecated, and for example doesn't work well with gspell (I'm the gspell upstream maintainer). Thankfully when both hunspell and aspell are installed, enchant and enchant2 prefer hunspell by default (but it is configurable).

Version-Release number of selected component (if applicable):
Fedora Workstation 28
enchant2-2.2.3-2.fc28

Comment 1 Sandro Mani 2018-05-07 16:39:10 UTC
Somehow -laspell is ending up in the linker flags of the main enchant SO even though it is not required (aspell support lives in a separate enchant2 provider). Need to investigate further.

Comment 2 Todd Zullinger 2018-05-25 01:35:38 UTC
I ran into this due to git-gui trying to use aspell when it's installed, but the default apsell install lacks dictionaries and simply returns an error (#1558240).

I poked around a little and I believe this commit will fix the enchant2 linking:

  https://src.fedoraproject.org/fork/tmz/rpms/enchant2/c/577f043

I've compared the output to see that libaspell is no longer linked (except in the enchant2-aspell package, of course).

I tested lightly by running 'echo speling | enchant-2 -a', but I am not sure how to more fully test.  If anyone can test the scratch builds below, it would be great.

If this looks good, I'll file a pull request to apply the changes.

  f29 https://koji.fedoraproject.org/koji/taskinfo?taskID=27176378
  f28 https://koji.fedoraproject.org/koji/taskinfo?taskID=27176495

Here's an rpmdiff before and after the changes:

  enchant2-2.2.3-3.fc28.x86_64.rpm:
  removed     REQUIRES libaspell.so.15()(64bit)  
  removed     REQUIRES libm.so.6()(64bit)  
  ..5........ /usr/bin/enchant-2
  ..5........ /usr/bin/enchant-lsmod-2
  ..5........ /usr/lib64/enchant-2/enchant_hunspell.so
  ..5........ /usr/lib64/libenchant-2.so.2.2.3
  
  enchant2-aspell-2.2.3-3.fc28.x86_64.rpm:
  removed     REQUIRES libgmodule-2.0.so.0()(64bit)  
  ..5........ /usr/lib64/enchant-2/enchant_aspell.so
  
  enchant2-voikko-2.2.3-3.fc28.x86_64.rpm:
  removed     REQUIRES libaspell.so.15()(64bit)  
  removed     REQUIRES libglib-2.0.so.0()(64bit)  
  removed     REQUIRES libgmodule-2.0.so.0()(64bit)  
  ..5........ /usr/lib64/enchant-2/enchant_voikko.so

Comment 3 Sandro Mani 2018-05-28 09:19:10 UTC
Thanks for investigating and sorry for the late reply, I'll try to look at it later today!

Comment 4 Sandro Mani 2018-06-14 22:40:47 UTC
Finally got around to fixing this [1], sorry for the delay.

[1] https://src.fedoraproject.org/rpms/enchant2/c/862f4e5086f19b700d1d878f159389fdb1e2a80f?branch=master

Comment 5 Fedora Update System 2018-06-14 22:40:54 UTC
enchant2-2.2.3-4.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3451a8df13

Comment 6 Fedora Update System 2018-06-14 22:41:01 UTC
enchant2-2.2.3-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-375a30b3d6

Comment 7 Fedora Update System 2018-06-15 14:09:08 UTC
enchant2-2.2.3-4.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3451a8df13

Comment 8 Fedora Update System 2018-06-15 16:35:09 UTC
enchant2-2.2.3-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-375a30b3d6

Comment 9 Fedora Update System 2018-06-23 19:56:05 UTC
enchant2-2.2.3-4.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-06-23 20:46:50 UTC
enchant2-2.2.3-4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.